summaryrefslogtreecommitdiff
path: root/tests/chmod/no-x.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/no-x.sh')
-rwxr-xr-xtests/chmod/no-x.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/tests/chmod/no-x.sh b/tests/chmod/no-x.sh
index 304eb8229..499f74a52 100755
--- a/tests/chmod/no-x.sh
+++ b/tests/chmod/no-x.sh
@@ -48,10 +48,9 @@ compare exp out || fail=1
cd a
# This will fail with ''chmod: fts_read failed: Permission denied''
-chmod a-x . b 2> /dev/null && fail=1
# chmod must exit with status 1.
# Due to a bug in coreutils-5.93's fts.c, chmod would provoke
# an abort (exit with status 134) on recent glibc-based systems.
-test $? = 1 || fail=1
+returns_ 1 chmod a-x . b 2> /dev/null || fail=1
Exit $fail